"""
    Copyright 2006,2007 Riccardo Taormina (den3b@hotmail.com)
    
    This file is part of SmartChameleons.

    SmartChameleons is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    SmartChameleons is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with SmartChameleons; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

"""

import random
from mappings import *
from NN import *


class AI:
    def __init__(self,brain):

        self.brain = brain

    def computeSmartMove(self,state):
        maxUtil = 0
        actionIndex = 0
        for i in range(9):
            [util,other] = self.brain[i].forward(state)
            if util > maxUtil:
                maxUtil = util
                actionIndex = i

        chosenMove = actionMapping(actionIndex)

        return chosenMove
