"""
    Copyright 2006,2007 Riccardo Taormina (den3b@hotmail.com)
    
    This file is part of SmartChameleons.

    SmartChameleons is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    SmartChameleons is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with SmartChameleons; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

"""

"""
    From an idea of Marco Lamieri, developed by Riccardo Taormina.
    The code is written according to a python simplified version of the
    SWARM protocol (www.swarm.org), devised by Pietro Terna.

    Here the brain is created via a Connectionist Reinforcement Learning and a
    trial and error procedure. 
"""
    

#START_CHAMELEONs
from Observer import *

#create the Observer
observer = Observer() 

# create interface and objects
observer.buildObjects()

#create actions
observer.buildActions()

# run
observer.mainloop()
